<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Functions
 */

function admin_notify(string $level, string $format, ...$args): void
{
    $message = esc_html(sprintf($format, ...$args));

    add_action(
        hook_name: 'admin_notices',
        callback: function () use ($level, $message) {
            ?>
                <div class='notice notice-<?= $level ?>'>
                    <p><?= $message ?></p>
                </div>
            <?php
        }
    );
}

function delete_terms(): int
{
    $terms = get_terms([
        'taxonomy' => TAXONOMY,
        'hide_empty' => false
    ]);

    if (is_wp_error($terms)) {
        throw new Errors\WP($terms);
    }

    foreach ($terms as $term) {
        $result = wp_delete_term($term->term_taxonomy_id, TAXONOMY);

        if (is_wp_error($result)) {
            throw new Errors\WP($result);
        }
    }

    return count($terms);
}

