<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Functions
 */

/* Derive a WordPress labels array from basic forms. */
function labels_derive(
    string $singular,
    string $plural,
    ?string $name = null,
    ?string $menu = null
): array {
    return [
        'name' =>
            $name ?? $plural,

        'singular_name' =>
            $singular,

        'menu_name' =>
            $menu ?? $name ?? $plural,

        'add_new_item' =>
            sprintf(
                esc_html__('Add new %s', 'basisklassifikation'),
                $singular
            ),

        'add_or_remove_items' =>
            sprintf(
                esc_html__('Add or remove %s', 'basisklassifikation'),
                $plural
            ),

        'all_items' =>
            sprintf(
                esc_html__('All %s', 'basisklassifikation'),
                $plural
            ),

        'choose_from_most_used' =>
            sprintf(
                esc_html__('Choose from the most used %s', 'basisklassifikation'),
                $plural
            ),

        'edit_item' =>
            sprintf(
                esc_html__('Edit %s', 'basisklassifikation'),
                $singular
            ),

        'search_items' =>
            sprintf(
                esc_html__('Search %s', 'basisklassifikation'),
                $singular
            ),

        'new_item_name' =>
            sprintf(
                esc_html__('New %s name', 'basisklassifikation'),
                $singular
            ),

        'popular_items' =>
            sprintf(
                esc_html__('Popular %s', 'basisklassifikation'),
                $plural
            ),

        'separate_items_with_commas' =>
            sprintf(
                esc_html__('Separate %s with commas', 'basisklassifikation'),
                $plural
            ),

        'update_item' =>
            sprintf(
                esc_html__('Update %s', 'basisklassifikation'),
                $singular
            ),
    ];
}
